package com.mortals.xhx.module.user.model.vo;
import com.alibaba.fastjson.annotation.JSONField;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.framework.service.IUser;
import com.mortals.xhx.module.menu.model.MenuEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 用户信息业务视图对象
*
* @author zxfei
* @date 2022-05-25
*/
@Data
public class UserVo extends BaseEntityLong  {

    /**
     * 唯一标识
     */
    @JSONField(serialize = false)
    private String token;

    /**
     * 登录时间
     */
    private Long loginTime;

    /**
     * 过期时间
     */
    private Long expireTime;
    /**
     * 角色id
     */
    private String roleId;
    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 菜单列表
     */
    private List<MenuEntity> menuList;

    /** 查询条件 */
    private String query;

}